Module exceptions :: Class Exception

[show private | hide private]
[frames | no frames]

## Class Exception

Known Subclasses:
  `InvalidConfiguration`, `ConchError`, `BadKeyError`, `StandardError`, `Unauthorized`, `DBError`, `AlreadyArmedError`, `TimeoutError`, `AlreadyCalledError`, `MessageLengthError`, `ConnectError`, `BindError`, `ConnectionLost`, `ConnectionDone`, `NoProcessorError`, `NewsServerError`, `NonFormattableDict`, `OIDNotFound`, `InvalidResponse`, `FTPError`, `IRCBadMessage`, `IRCPasswordMismatch`, `NNTPError`, `POP3Error`, `SMTPError`, `ParseError`, `InvalidChecksum`, `InvalidSentence`, `StopLooping`, `DefaultException`, `FormException`, `InputError`, `HookError`, `Unauthorized`, `ConstraintViolation`, `ThreadableError`, `TimedOut`, `UsageError`, `InvalidConfError`, `UnknownService`, `InsecureJelly`, `PBConnectionLost`, `ProtocolError`, `Error`, `SkipTest`, `NodeLookupError`, `Error`, `MismatchedTags`, `AlreadyCached`, `UnsupportedMethod`, `FormInputError`, `NoSuchFunction`

Common base class for all exceptions.

Method Summary
| `__init__(...)`
| `__getitem__(...)`
| `__str__(...)`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:44 2003 | http://epydoc.sf.net